[arch-commits] Commit in gcr/repos/extra-x86_64 (4 files)

Jan Steffens heftig at archlinux.org
Tue Sep 10 18:25:32 UTC 2019


    Date: Tuesday, September 10, 2019 @ 18:25:31
  Author: heftig
Revision: 362115

archrelease: copy trunk to extra-x86_64

Added:
  gcr/repos/extra-x86_64/10-gcr.conf
    (from rev 362114, gcr/trunk/10-gcr.conf)
  gcr/repos/extra-x86_64/PKGBUILD
    (from rev 362114, gcr/trunk/PKGBUILD)
Deleted:
  gcr/repos/extra-x86_64/10-gcr.conf
  gcr/repos/extra-x86_64/PKGBUILD

-------------+
 10-gcr.conf |    6 +-
 PKGBUILD    |  121 ++++++++++++++++++++++++++++------------------------------
 2 files changed, 62 insertions(+), 65 deletions(-)

Deleted: 10-gcr.conf
===================================================================
--- 10-gcr.conf	2019-09-10 18:25:19 UTC (rev 362114)
+++ 10-gcr.conf	2019-09-10 18:25:31 UTC (rev 362115)
@@ -1,3 +0,0 @@
- at users - memlock 1024
-
-# vim:set ft=limits:

Copied: gcr/repos/extra-x86_64/10-gcr.conf (from rev 362114, gcr/trunk/10-gcr.conf)
===================================================================
--- 10-gcr.conf	                        (rev 0)
+++ 10-gcr.conf	2019-09-10 18:25:31 UTC (rev 362115)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-10 18:25:19 UTC (rev 362114)
+++ PKGBUILD	2019-09-10 18:25:31 UTC (rev 362115)
@@ -1,62 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gcr
-pkgver=3.28.1
-pkgrel=1
-pkgdesc="A library for bits of crypto UI and parsing"
-url="https://gitlab.gnome.org/GNOME/gcr"
-arch=(x86_64)
-license=(GPL2)
-depends=(dconf gtk3 libgcrypt p11-kit)
-makedepends=(intltool gobject-introspection python vala libxslt git gtk-doc)
-checkdepends=(python2)
-_commit=3197d9e3711a946fca2efcb9059c7d5968254b90  # tags/3.28.1^0
-source=("git+https://gitlab.gnome.org/GNOME/gcr.git#commit=$_commit"
-        10-gcr.conf)
-sha256sums=('SKIP'
-            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-
-  sed -i '1s/python$/&2/' build/tap-{driver,gtester}
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --libexecdir=/usr/lib \
-    --enable-gtk-doc \
-    --disable-static \
-    --disable-update-mime \
-    --disable-schemas-compile
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Secure memory tests fail
-  dbus-run-session make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-
-  # gcr wants to lock some memory to prevent swapping out private keys
-  # https://bugs.archlinux.org/task/32616
-  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
-  install -Dt "$pkgdir/etc/security/limits.d" -m644 ../10-gcr.conf
-}
-
-# vim:set ts=2 sw=2 et:

Copied: gcr/repos/extra-x86_64/PKGBUILD (from rev 362114, gcr/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-10 18:25:31 UTC (rev 362115)
@@ -0,0 +1,59 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.33.4+6+g35df18d
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://gitlab.gnome.org/GNOME/gcr"
+arch=(x86_64)
+license=(GPL2)
+depends=(dconf gtk3 libgcrypt p11-kit)
+makedepends=(gobject-introspection python vala libxslt git gtk-doc)
+_commit=35df18dca26fbb42184fb7597b1732399905e933  # master
+source=("git+https://gitlab.gnome.org/GNOME/gcr.git#commit=$_commit"
+        10-gcr.conf)
+sha256sums=('SKIP'
+            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib \
+    --enable-gtk-doc \
+    --disable-static \
+    --disable-update-mime \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Secure memory tests fail
+  dbus-run-session make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dt "$pkgdir/etc/security/limits.d" -m644 ../10-gcr.conf
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list